<!DOCTYPE html>
<html>
    <HEAD>      
        </HEAD>
        <BODY>
        <FORM NAME="form2">
        <INPUT TYPE="text" NAME="input" VALUE=""> <BR>
        <INPUT TYPE="button" NAME="bouton" VALUE="Afficher" onClick="afficher(form2)"><BR>
        <INPUT TYPE="text" NAME="output" VALUE=""> 
        </FORM>
        </BODY>

       

        <FORM NAME="form3">
            <SELECT name="pays" id=country" onchange="changer(this.value)">
                <option value="France">France</option>
                <option value="Italie">Italie</option>
                <option value="Venezuela">Venezuela</option>
            </SELECT>
            <INPUT TYPE="text" NAME="txt_form2" VALUE=""><BR>
        </FORM>


        <SCRIPT LANGUAGE="javascript">
            function afficher(form2) {
            var testin = document.form2.input.value;
            document.form2.output.value=testin;
            }    
        </SCRIPT>

      

        <script>
             function changer(value) {
                if (value == "France") {
                    document.form3.txt_form2.value = "Paris"
                } else if (value == "Italie") {
                    document.form3.txt_form2.value = "Rome"
                } else if (value == "Venezuela") {
                    document.form3.txt_form2.value = "Aucune idée"
                }
            }
        </script>



        <FORM NAME="form2">
            <p>Formulaire 2 :</p>
            <INPUT TYPE="button" NAME="bouton" VALUE="Copier champ text du formulaire 1" onClick="copierExtFormulaire()">
            <INPUT TYPE="text2" NAME="output_form2" VALUE=""><BR>
        </FORM>
        
        <script>
        function copierExtFormulaire() {
                    var formulaire1 = document.form1.input.value;
                    document.form2.output_form2.value = formulaire1
                }
        </script>   


</html>